Would you be fine with Tale of Two Wastelands requiring "JIP LN" for NVSE?

by a guest
Choose one answer:

Share This Poll

Comments

Loading comments...
Commenting on this poll is currently disabled.

Information

  • This poll was created by a guest from Unknown Country.
  • It was created on 2017-6-19 17:18:38.
  • To avoid fake votes and ensure more reliable poll results, VPN users are not allowed to vote.
  • Comments are not allowed.

Spoiler Alert After 1891 votes, the most popular answer to this poll is Yes with 63.67% of all votes.

Info If you think this poll is inappropriate and should be deleted, please submit a report.

This poll is the subjective opinion of StrawPoll users and not of GK Internet GmbH & Co. KG